### Method

# Gio FileInfo set_modification_date_time

since: 2.62

#### Declaration

    void
    g_file_info_set_modification_date_time (
      GFileInfo* info,
      GDateTime* mtime
    )

#### Description

Sets the `G_FILE_ATTRIBUTE_TIME_MODIFIED` and `G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC` attributes in the file info to the given date/time value.

`G_FILE_ATTRIBUTE_TIME_MODIFIED_NSEC` will be cleared.

Available since: 2.62

#### Parameters

`mtime`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.